org.keycloak.models

## Class RequiredCredentialModel

- java.lang.Object
- - org.keycloak.models.RequiredCredentialModel

- All Implemented Interfaces:
    Serializable

      public class RequiredCredentialModel
      extends Object
      implements Serializable

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String,RequiredCredentialModel>` | `BUILT_IN`
    `static RequiredCredentialModel` | `CLIENT_CERT`
    `protected String` | `formLabel`
    `protected boolean` | `input`
    `static RequiredCredentialModel` | `KERBEROS`
    `static RequiredCredentialModel` | `PASSWORD`
    `protected boolean` | `secret`
    `static RequiredCredentialModel` | `SECRET`
    `static RequiredCredentialModel` | `TOTP`
    `protected String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequiredCredentialModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormLabel()`
    `String` | `getType()`
    `boolean` | `isInput()`
    `boolean` | `isSecret()`
    `void` | `setFormLabel(String formLabel)`
    `void` | `setInput(boolean input)`
    `void` | `setSecret(boolean secret)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected String type

    - #### input

          protected boolean input

    - #### secret

          protected boolean secret

    - #### formLabel

          protected String formLabel

    - #### BUILT_IN

          public static final Map<String,RequiredCredentialModel> BUILT_IN

    - #### PASSWORD

          public static final RequiredCredentialModel PASSWORD

    - #### TOTP

          public static final RequiredCredentialModel TOTP

    - #### CLIENT_CERT

          public static final RequiredCredentialModel CLIENT_CERT

    - #### SECRET

          public static final RequiredCredentialModel SECRET

    - #### KERBEROS

          public static final RequiredCredentialModel KERBEROS

  - ### Constructor Detail

    - #### RequiredCredentialModel

          public RequiredCredentialModel()

  - ### Method Detail

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### isInput

          public boolean isInput()

    - #### setInput

          public void setInput(boolean input)

    - #### isSecret

          public boolean isSecret()

    - #### setSecret

          public void setSecret(boolean secret)

    - #### getFormLabel

          public String getFormLabel()

    - #### setFormLabel

          public void setFormLabel(String formLabel)

Copyright © 2021 JBoss by Red Hat. All rights reserved.